Skip to main content

Create resident charge

POSThttps://api.propexo.com/v1/resident-charges/

Create a resident charge for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    lease_idstring

    The Propexo unique identifier for the lease

    financial_account_idstring

    The Propexo unique identifier for the financial account

    amount_in_centsinteger

    The amount of the resident charge, in cents

    transaction_datestring

    The transaction date of the resident charge

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring

    Description of the resident charge

    reference_numberstring

    The reference number for the resident charge

    charge_code_idstring

    The Propexo ID for the charge code associated with this new charge

    post_monthstring

    The post month for the resident charge. We will strip all data out of the datetime except the year and month.

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    third_party_charge_idstring

    A unique value provided to Entrata to uniquely identify the transaction from your system. This can be an alphanumeric string. This does not become the ID of the transaction in Entrata. If not provided, Propexo will generate one

    is_approval_requiredboolean

    Whether or not the resident charge requires approval. This will require the charge be approved first before being posted to the ledger

    property_idstring

    The Propexo unique identifier for the property

    resident_idstring

    The Propexo unique identifier for the resident

    transaction_batch_idstring

    A unique value provided by Realpage to associate a charge with a batch. This can be an alphanumeric string.

    notesstring

    Notes associated with the resident charge

    batch_idstring

    An identifier for the transaction batch. This should be unique to your system.

    unit_idstring

    The Propexo unique identifier for the unit

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/
curl -X POST https://api.propexo.com/v1/resident-charges/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}